#include <stdio.h>
#include <X11/Xlib.h>
main()
{
   Display *d;
   Window w;
   GC gc;
   Font f;
   XEvent e;
   char *text;
   int n_ret;

   d = XOpenDisplay (NULL);
   w = XCreateSimpleWindow (d, RootWindow (d, 0), 200, 300,
                            200, 60, 2, 0, 1);
   XSelectInput (d, w, ButtonPressMask);
   XMapWindow (d, w);

   gc = XCreateGC (d, w, 0, 0);
   f = XLoadFont (d, "courB18");
   XSetFont (d, gc, f);

   while (1)
     {
       XNextEvent (d, &e);

       if (e.type == ButtonPress)
         {
           if (e.xbutton.button == 1)
               XStoreBytes (d, text, strlen(text));

           if (e.xbutton.button == 2)
             {
               text = XFetchBytes (d, &n_ret);
               XClearWindow (d, w);
               XDrawString (d, w, gc, 20, 40, text, n_ret);
             }
         }
     }
}
